Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class PrimitiveSparseArray.PrimitiveNode

`java.lang.Object
com.tangosol.util.AbstractSparseArray.Node
com.tangosol.util.PrimitiveSparseArray.PrimitiveNode`

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Enclosing class:
  PrimitiveSparseArray

      protected static class PrimitiveSparseArray.PrimitiveNode

extends AbstractSparseArray.Node

Node mapping long key to Object value.

Field Summary
`protected long` | `m_lValue` The Node's value.

Fields inherited from class com.tangosol.util.AbstractSparseArray.Node
`balance, key, left, parent, right`

Constructor Summary
`PrimitiveSparseArray.PrimitiveNode(long lKey, long lValue)` Construct a new Node mapping a long key to a long value.

Method Summary
`long` | `getPrimitiveValue()` Get the long value for the Node
`java.lang.Object` | `getValue()` Get the value associated with the node.
`long` | `setPrimitiveValue(long lValue)` Set the long value for the Node
`java.lang.Object` | `setValue(java.lang.Object oValue)` Set the value associated with the node.

Methods inherited from class com.tangosol.util.AbstractSparseArray.Node
`adopt, clone, isLeaf, isLinked, print, toString, validate`

Field Detail

### m_lValue

    protected long m_lValue

  The Node's value.

Constructor Detail

### PrimitiveSparseArray.PrimitiveNode

    public PrimitiveSparseArray.PrimitiveNode(long lKey,
                                              long lValue)

  Construct a new Node mapping a long key to a long value.
  Parameters:
    `lKey` - the key
    `lValue` - the long value

Method Detail

### setValue

    public java.lang.Object setValue(java.lang.Object oValue)

  Description copied from class: `AbstractSparseArray.Node`
  Set the value associated with the node.
  Specified by:
    `setValue` in class `AbstractSparseArray.Node`
  Parameters:
    `oValue` - the value assocaited with the node
  Returns:
    the old value associated with the node

### getValue

    public java.lang.Object getValue()

  Description copied from class: `AbstractSparseArray.Node`
  Get the value associated with the node.
  Specified by:
    `getValue` in class `AbstractSparseArray.Node`
  Returns:
    the value associated with the node.

### setPrimitiveValue

    public long setPrimitiveValue(long lValue)

  Set the long value for the Node
  Parameters:
    `lValue` - the long value
  Returns:
    the prior long value for the node

### getPrimitiveValue

    public long getPrimitiveValue()

  Get the long value for the Node
  Returns:
    the long value for the node

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.